Subject: Re: bug#47159: 28.0.50; gnutls not recognized in build process without pkg-config

From: Glenn Morris <[email-masked]>
Date: Thu, 18 Mar 2021 11:26:35 -0400

Lars Ingebrigtsen wrote:

> I can reproduce this on Debian/bullseye, too.  I removed pkg-config and
> ran ./configure.  It says:
>
> configure: error: The following required libraries were not found:
>      libtiff gnutls
> Maybe some development libraries/packages are missing?
> To build anyway, give:
>      --with-tiff=ifavailable --with-gnutls=ifavailable
> as options to configure.

And further up it will say:

   checking for pkg-config... no

> I can't see any explicit checks for pkg-config in configure.ac.

PKG_PROG_PKG_CONFIG(0.9.0)

Perhaps you want to check the result of that and make it fatal,
but only in some cases. Or perhaps users should read configure output.